Subject: Re: [PATCH] make: add INSTALL_STRIP variable

From: Đoàn Trần Công Danh <[email-masked]>
Date: Sat, 21 Aug 2021 17:35:24 +0700

On 2021-08-21 15:24:22+0700, Bagas Sanjaya <[email-masked]> wrote:
> On 20/08/21 18.36, Đoàn Trần Công Danh wrote:
> > I believe it's better to write like this:
> > 
> > ----- 8< ------
> > ifdef INSTALL_STRIP
> > install: strip
> > endif
> > 
> > install: all
> > 	....
> > ---- >8-------
> > 
> > IOW, install depends on strip, not install invoke strip.
> 
> Oh, I missed that.
> 
> > I think it would work better for:
> > 
> > 	make install strip
> > 
> 
> Wouldn't it install unstripped binaries to the prefix then stripping them in
> the build directory?

No, with:

	install: strip

strip is one of install's dependencies, then strip will be executed
before install.

-- 
Danh